<?php 
extract($_POST);
include_once dirname( __DIR__ ) . '/Model/db.php';
include_once dirname( __DIR__ ) . '/Model/Buscar.php';
include_once dirname( __DIR__ ) . '/add/funciones.php';

$periodo = periodo($mes,$anio);

$buscar = new Buscar();
$buscar->setFechaCargoInicial($periodo['finicial']);
$buscar->setFechaCargoFinal($periodo['ffinal']);
$buscar->setEjecutivo($inputEjecutivo);

foreach($buscar->getMedios() as $campo){
	$buscar->setTipo($campo['id']);
	$resp = $buscar->obtieneDatosMedios();
	$response[] = array('tipo'=>$buscar->getMedio($resp[0]['nombremedio'])['canal'], 'total'=>$resp[0]['total']);
}
echo json_encode($response);

?>